Attribute VB_Name = "modTables"
Option Explicit
'
' $Archive: /Projects/OasysV2/VB/OasysSqlDatabaseCom/modTables.bas $
' $Revision: 43 $
' $Date: 26/05/04 12:08 $
' $Author: Mauricem $
'
'----------------------------------------------------------------------------
' We list the SQL tables and columns here in a module that belongs
' to the OasysSqlDatabaseCom.
' We simply pass the values around as longs.
'----------------------------------------------------------------------------

' Use a bit flag to distinguish from FIDs, but not the sign bit.
Public Const TABLE_FLAG = &H4000
' Define all static Table IDs for each Table used within the system.
' Note that we may add dynamic tables at a later date.
Public Const TABLEID_ACTIVITYLOG = TABLE_FLAG + 1
Public Const TABLEID_AUDITMASTER = TABLE_FLAG + 2
Public Const TABLEID_CARDINFO = TABLE_FLAG + 3
Public Const TABLEID_CASHBALANCECONTROL = TABLE_FLAG + 4
Public Const TABLEID_CASHBALANCEHDR = TABLE_FLAG + 5
Public Const TABLEID_CASHBALANCESUMMARY = TABLE_FLAG + 6
Public Const TABLEID_CASHIER = TABLE_FLAG + 7
Public Const TABLEID_CASHIERCASHBAL = TABLE_FLAG + 8
Public Const TABLEID_CASHIERTOTALS = TABLE_FLAG + 9
Public Const TABLEID_CONSHEADER = TABLE_FLAG + 10
Public Const TABLEID_COUNTEDSKU = TABLE_FLAG + 11
Public Const TABLEID_DELNOTEHEADER = TABLE_FLAG + 12
Public Const TABLEID_DELNOTELINE = TABLE_FLAG + 13
Public Const TABLEID_DELNOTENARRATIVE = TABLE_FLAG + 14
Public Const TABLEID_DEPOSIT = TABLE_FLAG + 15
Public Const TABLEID_DEPTANALYSIS = TABLE_FLAG + 16
Public Const TABLEID_DESPATCHMETHOD = TABLE_FLAG + 17
Public Const TABLEID_EAN = TABLE_FLAG + 18
Public Const TABLEID_EDICHANGECODE = TABLE_FLAG + 19
Public Const TABLEID_EDIDELHEADER = TABLE_FLAG + 20
Public Const TABLEID_EDIDELLINE = TABLE_FLAG + 21
Public Const TABLEID_EDIFILECONTROL = TABLE_FLAG + 22
Public Const TABLEID_EDIPOEARLY = TABLE_FLAG + 23
Public Const TABLEID_EDIPOLATE = TABLE_FLAG + 24
Public Const TABLEID_EDIPOLINES = TABLE_FLAG + 25
Public Const TABLEID_EDIPOQTYDISCREPANCY = TABLE_FLAG + 26
Public Const TABLEID_EDIPOQTYDISCREPANCYLINES = TABLE_FLAG + 27
Public Const TABLEID_GROSSMARGINS = TABLE_FLAG + 28
Public Const TABLEID_HIERARCHYCATEGORY = TABLE_FLAG + 29
Public Const TABLEID_HIERARCHYGROUP = TABLE_FLAG + 30
Public Const TABLEID_HIERARCHYSTYLE = TABLE_FLAG + 31
Public Const TABLEID_HIERARCHYSUBGROUP = TABLE_FLAG + 32
Public Const TABLEID_INVENTORY = TABLE_FLAG + 33
Public Const TABLEID_INVENTORYINFO = TABLE_FLAG + 34
Public Const TABLEID_INVENTORYS = TABLE_FLAG + 35
Public Const TABLEID_ISTINEDIHEADER = TABLE_FLAG + 36
Public Const TABLEID_ISTINEDILINE = TABLE_FLAG + 37
Public Const TABLEID_ISTINHEADER = TABLE_FLAG + 38
Public Const TABLEID_ISTLINE = TABLE_FLAG + 39
Public Const TABLEID_ISTOUTHEADER = TABLE_FLAG + 40
Public Const TABLEID_ITEMGROUP = TABLE_FLAG + 41
Public Const TABLEID_LINECOMMENTS = TABLE_FLAG + 42
Public Const TABLEID_LOCATIONTYPE = TABLE_FLAG + 43
Public Const TABLEID_MENU = TABLE_FLAG + 44
Public Const TABLEID_NIGHTLOG = TABLE_FLAG + 45
Public Const TABLEID_NIGHTMASTER = TABLE_FLAG + 46
Public Const TABLEID_OPDEALGROUP = TABLE_FLAG + 47
Public Const TABLEID_OPENDRAWERCODE = TABLE_FLAG + 48
Public Const TABLEID_OPHEADER = TABLE_FLAG + 49
Public Const TABLEID_OPMASTER = TABLE_FLAG + 50
Public Const TABLEID_OPMIXMATCH = TABLE_FLAG + 51
Public Const TABLEID_PAIDINCODE = TABLE_FLAG + 52
Public Const TABLEID_PAIDOUTCODE = TABLE_FLAG + 53
Public Const TABLEID_PARAMETER = TABLE_FLAG + 54
Public Const TABLEID_POLINES = TABLE_FLAG + 55
Public Const TABLEID_POSACTION = TABLE_FLAG + 56
Public Const TABLEID_POSEVENTLINE = TABLE_FLAG + 57
Public Const TABLEID_POSHEADER = TABLE_FLAG + 58
Public Const TABLEID_POSLINE = TABLE_FLAG + 59
Public Const TABLEID_POSMESSAGE = TABLE_FLAG + 60
Public Const TABLEID_POSPAYMENT = TABLE_FLAG + 61
Public Const TABLEID_PRICECHANGE = TABLE_FLAG + 62
Public Const TABLEID_PRICECUSINFO = TABLE_FLAG + 63
Public Const TABLEID_PRICELINEINFO = TABLE_FLAG + 64
Public Const TABLEID_PRICEOVERRIDE = TABLE_FLAG + 65
Public Const TABLEID_PRODUCTGROUP = TABLE_FLAG + 66
Public Const TABLEID_PURCHASECONSLINE = TABLE_FLAG + 67
Public Const TABLEID_PURCHASEORDER = TABLE_FLAG + 68
Public Const TABLEID_PURCHASEORDERLINE = TABLE_FLAG + 69
Public Const TABLEID_PURHDRNARRATIVE = TABLE_FLAG + 70
Public Const TABLEID_RELATEDITEM = TABLE_FLAG + 71
Public Const TABLEID_RETAILEROPTIONS = TABLE_FLAG + 72
Public Const TABLEID_RETNOTEHEADER = TABLE_FLAG + 73
Public Const TABLEID_RETURNCODE = TABLE_FLAG + 74
Public Const TABLEID_RETURNCUST = TABLE_FLAG + 75
Public Const TABLEID_RETURNHDR = TABLE_FLAG + 76
Public Const TABLEID_RETURNLINE = TABLE_FLAG + 77
Public Const TABLEID_RETURNNOTE = TABLE_FLAG + 78
Public Const TABLEID_RETURNNOTELINE = TABLE_FLAG + 79
Public Const TABLEID_SALESCUSTOMER = TABLE_FLAG + 80
Public Const TABLEID_SALESLEDGER = TABLE_FLAG + 81
Public Const TABLEID_SALETOTALS = TABLE_FLAG + 82
Public Const TABLEID_STOCKADJCODE = TABLE_FLAG + 83
Public Const TABLEID_STOCKADJPEND = TABLE_FLAG + 84
Public Const TABLEID_STOCKADJREASON = TABLE_FLAG + 85
Public Const TABLEID_STOCKADJUST = TABLE_FLAG + 86
Public Const TABLEID_STOCKCOUNTHEADER = TABLE_FLAG + 87
Public Const TABLEID_STOCKCOUNTLINE = TABLE_FLAG + 88
Public Const TABLEID_STOCKLEVEL = TABLE_FLAG + 89
Public Const TABLEID_STOCKLOCATION = TABLE_FLAG + 90
Public Const TABLEID_STOCKLOCATION2 = TABLE_FLAG + 91
Public Const TABLEID_STOCKLOG = TABLE_FLAG + 92
Public Const TABLEID_STOCKMOVE = TABLE_FLAG + 93
Public Const TABLEID_STOCKTAKE = TABLE_FLAG + 94
Public Const TABLEID_STOCKWOF = TABLE_FLAG + 95
Public Const TABLEID_STORE = TABLE_FLAG + 96
Public Const TABLEID_STORESTATUS = TABLE_FLAG + 97
Public Const TABLEID_SUPPLIER = TABLE_FLAG + 98
Public Const TABLEID_SUPPLIERS = TABLE_FLAG + 99
Public Const TABLEID_SYSTEMDATES = TABLE_FLAG + 100
Public Const TABLEID_SYSTEMNO = TABLE_FLAG + 101
Public Const TABLEID_SYSTEMOPTIONS = TABLE_FLAG + 102
Public Const TABLEID_TCFMASTER = TABLE_FLAG + 103
Public Const TABLEID_TENDERCONTROL = TABLE_FLAG + 104
Public Const TABLEID_TENDEROPTIONS = TABLE_FLAG + 105
Public Const TABLEID_TILLTOTALS = TABLE_FLAG + 106
Public Const TABLEID_TRANSACTION_DISCOUNT = TABLE_FLAG + 107
Public Const TABLEID_TYPESOFSALECONTROL = TABLE_FLAG + 108
Public Const TABLEID_TYPESOFSALEOPTIONS = TABLE_FLAG + 109
Public Const TABLEID_TYPESOFSALETENDERS = TABLE_FLAG + 110
Public Const TABLEID_UNITOFMEASURE = TABLE_FLAG + 111
Public Const TABLEID_USER = TABLE_FLAG + 112
Public Const TABLEID_VATRATES = TABLE_FLAG + 113
Public Const TABLEID_WORKSTATIONCONFIG = TABLE_FLAG + 114
Public Const TABLEID_INVENTORYWICKES = TABLE_FLAG + 115
Public Const TABLEID_POSMISSINGEAN = TABLE_FLAG + 116
Public Const TABLEID_REFUNDCODE = TABLE_FLAG + 117
Public Const TABLEID_TENDEROVERRIDE = TABLE_FLAG + 118
Public Const TABLEID_ZREADS = TABLE_FLAG + 119
Public Const TABLEID_POSGIFTVOUCHERS = TABLE_FLAG + 120
Public Const TABLEID_CUSTORDERHEADER = TABLE_FLAG + 121
Public Const TABLEID_CUSTORDERLINE = TABLE_FLAG + 122
Public Const TABLEID_GIFTVOUCHERHOTFILE = TABLE_FLAG + 123
Public Const TABLEID_EVENTHSEXCLUSIONS = TABLE_FLAG + 124
Public Const TABLEID_COLLEAGUECARDHOTFILE = TABLE_FLAG + 125
Public Const TABLEID_QUOTEHEADER = TABLE_FLAG + 126
Public Const TABLEID_QUOTELINE = TABLE_FLAG + 127
Public Const TABLEID_CUSTOMER = TABLE_FLAG + 128
Public Const TABLEID_WEBEVENT = TABLE_FLAG + 129
Public Const TABLEID_WEBHEADER = TABLE_FLAG + 130
Public Const TABLEID_WEBLINE = TABLE_FLAG + 131
Public Const TABLEID_WEBPICK = TABLE_FLAG + 132
Public Const TABLEID_WEBPAID = TABLE_FLAG + 133
Public Const TABLEID_PROMPT = TABLE_FLAG + 134
Public Const TABLEID_GROUP_PROMPT = TABLE_FLAG + 135
Public Const TABLEID_ITEM_GRPPROMPT = TABLE_FLAG + 136
Public Const TABLEID_PIM_ITEM = TABLE_FLAG + 137
Public Const TABLEID_COLLEAGUECARD = TABLE_FLAG + 138
Public Const TABLEID_TEMPFIL = TABLE_FLAG + 139
Public Const TABLEID_CURRENCY = TABLE_FLAG + 140
Public Const TABLEID_EXCHANGERATE = TABLE_FLAG + 141
Public Const TABLEID_WEEE_RATE = TABLE_FLAG + 142
Public Const TABLEID_PLANGRAM = TABLE_FLAG + 143
Public Const TABLEID_BARCODEFAILED = TABLE_FLAG + 144
Public Const TABLEID_EAN_CHECK = TABLE_FLAG + 145
Public Const TABLEID_TRANREJECT = TABLE_FLAG + 146
Public Const TABLEID_LINEREVERSAL = TABLE_FLAG + 147
Public Const TABLEID_DTF_SEND = TABLE_FLAG + 148
Public Const TABLEID_CARD_SCHEME = TABLE_FLAG + 149
Public Const TABLEID_CARD_LIST = TABLE_FLAG + 150
Public Const TABLEID_ORDERTEXT = TABLE_FLAG + 151
Public Const TABLEID_CUSTORDERINFO = TABLE_FLAG + 152
Public Const TABLEID_SUPPLIERDET = TABLE_FLAG + 153
Public Const TABLEID_MARKDOWNSTOCK = TABLE_FLAG + 154
Public Const TABLEID_CONRESHEADER = TABLE_FLAG + 155
Public Const TABLEID_CONRESDETAIL = TABLE_FLAG + 156
Public Const TABLEID_COUPONFMT = TABLE_FLAG + 157
Public Const TABLEID_SOLDCOUPON = TABLE_FLAG + 158
Public Const TABLEID_DAYPRICE = TABLE_FLAG + 159
Public Const TABLEID_COUPONTEXT = TABLE_FLAG + 160
Public Const TABLEID_POSPAYMENTCOMM = TABLE_FLAG + 161
Public Const TABLEID_CUST_REFUND = TABLE_FLAG + 162

'Public Const TABLEID_DISCOUNTRATE = TABLE_FLAG + 9
'Public Const TABLEID_PAYHOURS = TABLE_FLAG + 11
'Public Const TABLEID_DEPARTMENT = TABLE_FLAG + 17
'Public Const TABLEID_SOORDERTYPE = TABLE_FLAG + 20
'Public Const TABLEID_SORANGEDISC = TABLE_FLAG + 21
'Public Const TABLEID_SORANGE = TABLE_FLAG + 22
'Public Const TABLEID_SORANGEACC = TABLE_FLAG + 23
'Public Const TABLEID_SOHEADER = TABLE_FLAG + 23
'Public Const TABLEID_SOLINE = TABLE_FLAG + 24
'Public Const TABLEID_TRADER = TABLE_FLAG + 32
'Public Const TABLEID_DEPTGROUP = TABLE_FLAG + 53
'Public Const TABLEID_TRADERS = TABLE_FLAG + 61
'Public Const TABLEID_ITEMMESSAGES = TABLE_FLAG + 115
'Public Const TABLEID_TILLTENDERTYPE = TABLE_FLAG + 91
'Public Const TABLEID_TILLLOOKUPS = TABLE_FLAG + 63
'Public Const TABLEID_TENDERTYPES = TABLE_FLAG + 77

'---------- Insert new table IDs immediately before here, incrementing the
'---------- number and setting TABLEID_END_OF_STATIC to the same name
'Public Const TABLEID_END_OF_STATIC = TABLEID_TRANREJECT        'ToDo: MO'C 5/06/07 - Not Sure why this was not TABLEID_DTF_SEND ?
Public Const TABLEID_END_OF_STATIC = TABLEID_SOLDCOUPON

' For each table, the Column Id #1 must be the key or row Id field
Public Const CID_SUPPLIER_ID = (TABLEID_SUPPLIER * &H10000) + 1
Public Const CID_SUPPLIER_SupplierNo = (TABLEID_SUPPLIER * &H10000) + 2
Public Const CID_SUPPLIER_Active = (TABLEID_SUPPLIER * &H10000) + 3
Public Const CID_SUPPLIER_AlphaKey = (TABLEID_SUPPLIER * &H10000) + 4
Public Const CID_SUPPLIER_NAME = (TABLEID_SUPPLIER * &H10000) + 5
Public Const CID_SUPPLIER_TelNumber = (TABLEID_SUPPLIER * &H10000) + 6
Public Const CID_SUPPLIER_FaxNumber = (TABLEID_SUPPLIER * &H10000) + 7
Public Const CID_SUPPLIER_OtherTelNumber = (TABLEID_SUPPLIER * &H10000) + 8

Public Const ADO_ERR_Connect_Failed = -2147467259   ' ie: 0x80004005

Public Const ODBC_ERR_Integrity_constraint_violation = 23000
Public Const ODBC_ERR_Syntax_error_or_access_violation = 37000
Public Const ODBC_ERR_General_error = "S1000"
Public Const ODBC_ERR_DataType_conversion_error = 22005

Public Const JET_errKeyDuplicate = -1605
Public Const PERVASIVE_errKeyDuplicate = -1605
Public Const PERVASIVE_errKeyDuplicate2 = -4994

